Subject: Re: bug#43389: 28.0.50; Emacs memory leaks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Nov 2020 20:01:48 +0200

> Cc: [email-masked], [email-masked]
> From: Carlos O'Donell <[email-masked]>
> Date: Wed, 18 Nov 2020 00:43:55 -0500
> 
> >> (let ((size 0))
> >>   (dolist (buffer (buffer-list) size)
> >>     (setq size (+ size (buffer-size buffer)))))
> >> ⇒ 98249826
> >>
> >> So it's not a small number, but still far away from those 800 MiB.
> > 
> > Yes.  I have a very similar value: 94642916 (in 376 buffers; you have
> > more than 1000).  This is in a session that runs for 17 days and whose
> > VM size is 615 MB: a "normal" size for a long-living session, nowhere
> > near 2GB, let alone 11GB someone reported.
> 
> If you get us a data trace I will run it through the simulator and produce
> a report that includes graphs explaining the results of the trace and
> we'll see if a smoking gun shows up.

If you asked Florian, then I agree that his data could be useful.  If
you were asking me, then my data is not useful, because the footprint
is reasonable and never goes up to gigabyte range.